Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.util
Class IntSet

    java.lang.Object
      |
      +--com.caucho.util.IntSet

public class IntSet
extends java.lang.Object

Constructor Summary
`IntSet()` Creates an empty set.

Method Summary
`void` | `clear()`
`java.lang.Object` | `clone()` Returns a clone of the set.
`boolean` | `contains(int test)` True if the set contains the element
`boolean` | `difference(IntSet set)` Calculates the set difference from a and b
`int` | `getMax(int i)`
`int` | `getMin(int i)`
`boolean` | `intersection(IntSet set)` Calculates the set intersection of a and b
`boolean` | `isDisjoint(IntSet set)` True if the two sets are disjoint.
`boolean` | `isSubset(IntSet subset)` True if the argument is a subset of the set
`int` | `length()`
`void` | `negate()` Negate the set
`void` | `negate(int minValue, int maxValue)` Negate the set within a universe
`int` | `size()`
`java.lang.String` | `toString()` Returns a visible.
`void` | `union(int value)` Adds a point to the set
`void` | `union(int min, int max)` Adds the range [min,max] to the set.
`void` | `union(IntSet set)` The union of two sets.
`void` | `unionNegate(IntSet set, int min, int max)` The union with the negation of the 2nd set

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntSet

    public IntSet()

  Creates an empty set.

Method Detail

### clear

    public void clear()

### length

    public int length()

### size

    public int size()

### getMin

    public int getMin(int i)

### getMax

    public int getMax(int i)

### union

    public void union(int min,
                      int max)

  Adds the range [min,max] to the set.

### union

    public void union(int value)

  Adds a point to the set

### union

    public void union(IntSet set)

  The union of two sets.

### unionNegate

    public void unionNegate(IntSet set,
                            int min,
                            int max)

  The union with the negation of the 2nd set

### negate

    public void negate(int minValue,
                       int maxValue)

  Negate the set within a universe

### negate

    public void negate()

  Negate the set

### difference

    public boolean difference(IntSet set)

  Calculates the set difference from a and b
  Returns:
    true if the original set is not contained in the 2nd

### intersection

    public boolean intersection(IntSet set)

  Calculates the set intersection of a and b
  Returns:
    true if not disjoint

### contains

    public boolean contains(int test)

  True if the set contains the element

### isSubset

    public boolean isSubset(IntSet subset)

  True if the argument is a subset of the set

### isDisjoint

    public boolean isDisjoint(IntSet set)

  True if the two sets are disjoint.

### toString

    public java.lang.String toString()

  Returns a visible.
  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public java.lang.Object clone()

  Returns a clone of the set.
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD